%global commit 84c57c121e03b070f80e1d8fd66749eead7a4d9e
%global commit_date 20171122
%global shortcommit %(c=%{commit};echo ${c:0:7})

Name:           grive2
Version:        0.5.0
Release:        2.%{commit_date}git%{shortcommit}%{?dist}
Summary:        Google Drive client

License:        GPLv2
URL:            http://yourcmc.ru/wiki/Grive2
Source0:        https://github.com/vitalif/%{name}/archive/%{commit}.tar.gz#/%{name}-%{commit}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  curl-devel
BuildRequires:  expat-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  yajl-devel
BuildRequires:  zlib-devel
BuildRequires:  systemd
Requires(post): systemd
Requires(preun): systemd

%description
The purpose of this project is to provide an independent open source
implementation of Google Drive client for GNU/Linux. It uses Google Drive
REST API to talk to Google Drive service.

%prep
%setup -q -n %{name}-%{commit}

%build
%cmake .
make %{?_smp_mflags}

%install
%make_install
mkdir -p %{buildroot}%{_libdir}/%{name}/
mv %{buildroot}/usr/lib/grive/grive-sync.sh %{buildroot}%{_libdir}/%{name}/
sed -i 's|/usr/lib/grive/grive-sync.sh|%{_libdir}/%{name}/grive-sync.sh|g'  %{buildroot}%{_userunitdir}/grive-changes@.service
sed -i 's|/usr/lib/grive/grive-sync.sh|%{_libdir}/%{name}/grive-sync.sh|g'  %{buildroot}%{_userunitdir}/grive-timer@.service
sed -i 's|/usr/lib/grive/grive-sync.sh|%{_libdir}/%{name}/grive-sync.sh|g'  %{buildroot}%{_userunitdir}/grive-timer@.timer

%post
%systemd_user_post grive-changes@.service
%systemd_user_post grive-timer@.service
%systemd_user_post grive-timer@.timer

%preun
%systemd_user_post grive-changes@.service
%systemd_user_post grive-timer@.service
%systemd_user_post grive-timer@.timer


%files
%license COPYING
%doc README.md
%{_bindir}/grive
%{_mandir}/man1/*
%{_userunitdir}/grive*
%{_libdir}/%{name}/grive-sync.sh

%changelog
* Sun Mar 25 2018 Zamir SUN <sztsian@gmail.com> - 0.5.0-2.20171122git84c57c1
- Update to 84c57c121e03b070f80e1d8fd66749eead7a4d9e to apply bunch of fixes

* Fri Jan 15 2016 Christian Dersch <lupinix@mailbox.org> - 0.5.0-1.20160115gitae06ecc
- new version 0.5.0

* Sun Jan 03 2016 Christian Dersch <lupinix@mailbox.org> - 0.4.2-1.20160102gitd2a6105
- Upgrade to 0.4.2 final

* Tue Dec 29 2015 Christian Dersch <lupinix@mailbox.org> - 0.4.2-0.2.20151227git5fb3c18
- Updated to newer git snapshot to include bugfixes

* Fri Dec 11 2015 Christian Dersch <lupinix@mailbox.org> - 0.4.2-0.1.20151208gitcc13b8b
- initial spec
